Public Class usrcntlVerzollungspreise
    Implements FormualrInterface
    'IMPORTAVISO_AG
    Public Event CHANGED(name, value)
    Public Event KDNR_CHANGED(kdnr)
    Public Event DELETE(c As Control)
    Public Event LOADED()
    Public Event MOVE_UP(c As Control)
    Public Event MOVE_DOWN(c As Control)

    Public KdNR As Integer = -1
    Public Sub ChangeKDNr(kdnr As Integer) _
       Implements FormualrInterface.ChangeKDNr
        initKdNR(kdnr)
    End Sub

    'Dim KdNR As Integer = -1
    Sub initControlsHandler()
        For Each c In Me.Controls
            Select Case c.GetType.ToString
                Case GetType(VERAG_PROG_ALLGEMEIN.MyTextBox).ToString
                    AddHandler DirectCast(c, VERAG_PROG_ALLGEMEIN.MyTextBox).Leave, Sub()
                                                                                        RaiseEvent CHANGED(c.name, c.text)
                                                                                    End Sub
                Case GetType(VERAG_PROG_ALLGEMEIN.MyComboBox).ToString
                    AddHandler DirectCast(c, VERAG_PROG_ALLGEMEIN.MyComboBox).SelectedIndexChanged, Sub()
                                                                                                        RaiseEvent CHANGED(c.name, c._value)
                                                                                                    End Sub
                Case GetType(TextBox).ToString
                    AddHandler DirectCast(c, TextBox).Leave, Sub()
                                                                 RaiseEvent CHANGED(c.name, c.text)
                                                             End Sub
            End Select
        Next

      
    End Sub


    Private Sub btn_Click(sender As Object, e As EventArgs)
        Dim kdsrch As New SDL.frmKundenSuche
        'Panel1.Enabled = False
        If kdsrch.ShowDialog(Me) = System.Windows.Forms.DialogResult.OK Then
            If IsNumeric(kdsrch.kundenNrSearch.Text) Then
                initKdNR(kdsrch.kundenNrSearch.Text)
                RaiseEvent KDNR_CHANGED(KdNR)
            End If
        End If
        '  Panel1.Enabled = True
    End Sub

    Public Sub initKdNR(KdNR)

        Me.KdNR = KdNR
        Exit Sub
        Dim KUNDE As New VERAG_PROG_ALLGEMEIN.cKunde(KdNR)
        Dim ADRESSE As New VERAG_PROG_ALLGEMEIN.cAdressen(KdNR)
    End Sub


    Private Sub btnDel_Click(sender As Object, e As EventArgs) Handles btnDel.Click
        RaiseEvent DELETE(Me)
    End Sub

    Private Sub btnup_Click(sender As Object, e As EventArgs) Handles btnUp.Click
        RaiseEvent MOVE_UP(Me)
    End Sub

    Private Sub btnDown_Click(sender As Object, e As EventArgs) Handles btnDown.Click
        RaiseEvent MOVE_DOWN(Me)
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs)

    End Sub

    Private Sub usrcntlVollmacht_AT_Load(sender As Object, e As EventArgs) Handles Me.Load
        initControlsHandler()

          Select VERAG_PROG_ALLGEMEIN.cAllgemein.FIRMA
            Case "IMEX"
                cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("IMEX Customs Service GmbH", "IMEX"))
                cboFirma.changeItem("IMEX")
                MyComboBox1.Items.Clear()
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung", "VZ"))
                'MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung EV", "VZ_EV"))
                ' MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung Rückware", "VZ_RW"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VZ Gemüse,Arznei,Lebensmittel", "VZ_SPECIAL_1"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("nur EUST", "EUST"))
                'If VERAG_PROG_ALLGEMEIN.cBerechtignunen.CHECK_BERECHTIGUNG_bool("FISKAL_Preise", Me.FindForm) Then
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung Fiskal AT", "VZ_FISKAL"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung Fiskal DE", "VZ_FISKAL_DE"))
                ' End If
                MyComboBox1.changeItem("VZ")
            Case "ATILLA"
                cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("ATILLA Spedition GmbH", "ATILLA"))
                cboFirma.changeItem("ATILLA")
            Case "AMBAR"
                cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("AMBAR Logistic Services GmbH", "AMBAR"))
                cboFirma.changeItem("AMBAR")
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung", "VZ"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VZ Gemüse,Arznei,Lebensmittel", "VZ_SPECIAL_1"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung Rückware", "VZ_RW"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung Fiskal DE", "VZ_FISKAL_DE"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T1", "VZ"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("nur EUST", "EUST"))
            Case Else
                cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VERAG Spedition AG", "AG"))
                cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VERAG Customs Service GmbH", "CS"))
                cboFirma.changeItem("AG")
                MyComboBox1.Items.Clear()
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung", "VZ"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung EV", "VZ_EV"))
                ' MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung Rückware", "VZ_RW"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("nur EUST", "EUST"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VZ Gemüse,Arznei,Lebensmittel", "VZ_SPECIAL_1"))

                If VERAG_PROG_ALLGEMEIN.cBerechtignunen.CHECK_BERECHTIGUNG_bool("FISKAL_Preise", Me.FindForm) Then
                    MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung Fiskal AT", "VZ_FISKAL"))
                    MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Verzollung Fiskal DE", "VZ_FISKAL_DE"))
                End If
                If VERAG_PROG_ALLGEMEIN.cBerechtignunen.CHECK_BERECHTIGUNG_bool("BREXIT", Me.FindForm) Then
                    cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VERAG-UNISPED Ltd", "IMEX"))
                End If
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Handling", "HANDLING"))
                MyComboBox1.changeItem("VZ")
        End Select


        initPreisliste()

        If KdNR > 0 Then initKdNR(KdNR)

        RaiseEvent LOADED()
    End Sub

    Private Sub pic_Click(sender As Object, e As EventArgs) Handles pic.Click
        FormularManagerNEU.genPDF(Me, True)
    End Sub

  

    Private Sub btnStandardPreiseLaden_Click(sender As Object, e As EventArgs) Handles btnStandardPreiseLaden.Click
        initPreisliste()
    End Sub


    Sub initPreisliste()
        Dim cnt = 1
        cboFirma.changeItem("AG")

        DataGridView.Rows.Clear()
        dgvZusatzleistung.Rows.Clear()
        Select Case VERAG_PROG_ALLGEMEIN.cAllgemein.FIRMA
            Case "IMEX"
                Select Case MyComboBox1._value
                    Case "VZ"
                        DataGridView.Rows.Add(cnt, "", "Verzollung (inkl. 1 Tarifnummer)", CDbl(112).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(7.5).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1


                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung / CMR Erstellung", CDbl(20).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "348", "Zusatzkosten fremde Grenze", CDbl(20).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zollbeschaukosten je 30 min.", CDbl(40).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zusatzkosten Gemüse,Arznei,Lebensmittel", "nach Anfrage")
                        dgvZusatzleistung.Rows.Add("", "348", "Avisokosten (Vorkasse)", CDbl(24).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Stornokosten", "50 %")

                        dgvZusatzleistung.Rows.Add("", "", "Aufschlag Rückwarenverzollung/Aktive Veredelung", CDbl(20).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "Aufschlag Arzneiwaren oder Lebensmittel", CDbl(25).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "CMR-Versendungsbeleg", CDbl(25).ToString("C2"))
                        '   dgvZusatzleistung.Rows.Add("", "", "Ü-T1", CDbl(15).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "VERAG Warenort", CDbl(60).ToString("C2"))

                    Case "VZ_EV"
                        DataGridView.Rows.Add(cnt, "", "Verzollung (inkl. 1 Tarifnummer)", CDbl(112).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(7.5).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "EZOLL (AT) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        '  DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        '  DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1
                        ' DataGridView.Rows.Add(cnt, "", "Warenort", CDbl(60).ToString("C2")) : cnt += 1

                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")
                        '   dgvZusatzleistung.Rows.Add("", "", "CMR-Versendungsbeleg", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Ü-T1", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung / CMR Erstellung", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "348", "Zusatzkosten fremde Grenze", CDbl(20).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Warenort-Abfertigung", CDbl(60).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zollbeschaukosten je 30 min.", CDbl(40).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zusatzkosten Gemüse,Arznei,Lebensmittel", "nach Anfrage")
                        dgvZusatzleistung.Rows.Add("", "348", "Avisokosten (Vorkasse)", CDbl(24).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Stornokosten", "50 %")
                        'dgvZusatzleistung.Rows.Add("", "", "Aufschlag Arzneiwaren oder Lebensmittel", CDbl(25).ToString("C2"))

                      '  cboFirma.changeItem("CS")
                    Case "VZ_RW" 'NICHT MEHR!
                        DataGridView.Rows.Add(cnt, "", "Verzollung (inkl. 1 Tarifnummer)", CDbl(112).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "Rückwarenverzollung", CDbl(132).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(7.5).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1

                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung / CMR Erstellung", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "348", "Zusatzkosten fremde Grenze", CDbl(20).ToString("C2"))
                        '    dgvZusatzleistung.Rows.Add("", "", "Ü-T1", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Warenort-Abfertigung", CDbl(60).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zollbeschaukosten je 30 min.", CDbl(40).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "348", "Avisokosten (Vorkasse)", CDbl(24).ToString("C2"))

                    Case "VZ_FISKAL"

                        DataGridView.Rows.Add(cnt, "", "Fiskal-Verzollung (inkl. 1 Tarifnummer)", CDbl(240).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(12).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "EZOLL (AT) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        '   DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        '   DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1
                        ' DataGridView.Rows.Add(cnt, "", "Warenort", CDbl(60).ToString("C2")) : cnt += 1


                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")
                        dgvZusatzleistung.Rows.Add("", "", "Ü-T1", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "348", "Zusatzkosten fremde Grenze", CDbl(20).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "VERAG Warenort", CDbl(60).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zollbeschaukosten je 30 min.", CDbl(40).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung / CMR Erstellung", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "348", "Avisokosten (Vorkasse)", CDbl(24).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "Aufschlag Arzneiwaren oder Lebensmittel", CDbl(25).ToString("C2"))

                       ' cboFirma.changeItem("CS")

                    Case "VZ_FISKAL_DE"

                        DataGridView.Rows.Add(cnt, "", "Fiskal-Verzollung (inkl. 1 Tarifnummer)", CDbl(240).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(12).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        '   DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        '   DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1
                        ' DataGridView.Rows.Add(cnt, "", "Warenort", CDbl(60).ToString("C2")) : cnt += 1


                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "498", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")
                        ' dgvZusatzleistung.Rows.Add("", "", "CMR-Versendungsbeleg", CDbl(25).ToString("C2"))
                        ' dgvZusatzleistung.Rows.Add("", "", "Ü-T1", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "VERAG Warenort", CDbl(60).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "348", "Zusatzkosten fremde Grenze", CDbl(20).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung / CMR Erstellung", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zollbeschaukosten je 30 min.", CDbl(40).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "348", "Avisokosten (Vorkasse)", CDbl(24).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "Aufschlag Arzneiwaren oder Lebensmittel", CDbl(25).ToString("C2"))

                       ' cboFirma.changeItem("AG")

                    Case "VZ_SPECIAL_1" '"VZ Gemüse,Arznei,Lebensmittel"
                        DataGridView.Rows.Add(cnt, "", "Verzollung (inkl. 1 Tarifnummer)", CDbl(139).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(18).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(8).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1


                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")

                        dgvZusatzleistung.Rows.Add("", "", "Aufschlag Rückwarenverzollung/Aktive Veredelung", CDbl(17).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "348", "Avisokosten (Vorkasse)", CDbl(24).ToString("C2"))

                    Case "EUST"

                        DataGridView.Rows.Add(cnt, "", "EUST", "lt. Steuerbescheid") : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(12).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(8).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1

                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))


                End Select
            Case "AMBAR"
                Select Case MyComboBox1._value
                    Case "VZ"
                        DataGridView.Rows.Add(cnt, "", "Verzollung (inkl. 1 Tarifnummer)", CDbl(112).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(7.5).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "Aviso", CDbl(20).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Papiere Porti", CDbl(10).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Sonstige Kosten*", CDbl(40).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1


                        dgvZusatzleistung.Rows.Add("", "347", "Clearingkosten (EINMALIG nur bei 1. Abfertigung)", CDbl(40).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        ' dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")
                        dgvZusatzleistung.Rows.Add("", "", "Zollbeschau**", CDbl(60).ToString("C2") & "/Std.")
                        dgvZusatzleistung.Rows.Add("", "348", "Fremdgrenze", CDbl(20).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung / CMR Erstellung", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Aufschlag Rückwarenverzollung/Aktive Veredelung", CDbl(37).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "Aufschlag Arzneiwaren oder Lebensmittel", CDbl(25).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "CMR-Versendungsbeleg", CDbl(25).ToString("C2"))
                        '   dgvZusatzleistung.Rows.Add("", "", "Ü-T1", CDbl(15).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "VERAG Warenort", CDbl(60).ToString("C2"))

                    Case "VZ_RW" ' 
                        DataGridView.Rows.Add(cnt, "", "Verzollung (inkl. 1 Tarifnummer)", CDbl(169).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(7.5).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "Aviso", CDbl(20).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Papiere Porti", CDbl(10).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Sonstige Kosten*", CDbl(40).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1

                        dgvZusatzleistung.Rows.Add("", "347", "Clearingkosten (EINMALIG nur bei 1. Abfertigung)", CDbl(40).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zollbeschau**", CDbl(60).ToString("C2") & "/Std.")
                        dgvZusatzleistung.Rows.Add("", "348", "Fremdgrenze", CDbl(20).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung / CMR Erstellung", CDbl(15).ToString("C2"))

                    Case "VZ_FISKAL_DE"

                        DataGridView.Rows.Add(cnt, "", "Fiskal-Verzollung (inkl. 1 Tarifnummer)", CDbl(240).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(12).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(12).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Sonstige Kosten*", CDbl(40).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(8).ToString("C2")) : cnt += 1

                        dgvZusatzleistung.Rows.Add("", "347", "Clearingkosten (EINMALIG nur bei 1. Abfertigung)", CDbl(40).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "498", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zollbeschau**", CDbl(60).ToString("C2") & "/Std.")
                        dgvZusatzleistung.Rows.Add("", "348", "Fremdgrenze", CDbl(20).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung / CMR Erstellung", CDbl(15).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "Aufschlag Arzneiwaren oder Lebensmittel", CDbl(25).ToString("C2"))

                       ' cboFirma.changeItem("AG")

                    Case "T1"
                        DataGridView.Rows.Add(cnt, "", "T1/T2 Abfertigung", CDbl(60).ToString("C2")) : cnt += 1

                    Case "VZ_SPECIAL_1" '"VZ Gemüse,Arznei,Lebensmittel"
                        DataGridView.Rows.Add(cnt, "", "Verzollung (inkl. 1 Tarifnummer)", CDbl(158).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(18).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "Aviso", CDbl(20).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Papiere Porti", CDbl(10).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Sonstige Kosten*", CDbl(40).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1


                        dgvZusatzleistung.Rows.Add("", "347", "Clearingkosten (EINMALIG nur bei 1. Abfertigung)", CDbl(40).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        '  dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")

                        dgvZusatzleistung.Rows.Add("", "", "Aufschlag Rückwarenverzollung/Aktive Veredelung", CDbl(17).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "348", "Fremdgrenze", CDbl(20).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung", CDbl(15).ToString("C2"))

                    Case "EUST"

                        DataGridView.Rows.Add(cnt, "", "EUST", "lt. Steuerbescheid") : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1

                        dgvZusatzleistung.Rows.Add("", "347", "Clearingkosten (EINMALIG nur bei 1. Abfertigung)", CDbl(40).ToString("C2"))


                End Select

            Case "ATILLA"

            Case Else 'VERAG
                Select Case MyComboBox1._value
                    Case "VZ"
                        DataGridView.Rows.Add(cnt, "", "Verzollung (inkl. 1 Tarifnummer)", CDbl(112).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(7.5).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1


                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung", CDbl(15).ToString("C2"))

                        dgvZusatzleistung.Rows.Add("", "", "Aufschlag Rückwarenverzollung/Aktive Veredelung", CDbl(20).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zollbeschaukosten je 30 min.", CDbl(40).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zusatzkosten Gemüse,Arznei,Lebensmittel", "nach Anfrage")
                        dgvZusatzleistung.Rows.Add("", "", "Stornokosten", "50 %")
                        'dgvZusatzleistung.Rows.Add("", "", "Aufschlag Arzneiwaren oder Lebensmittel", CDbl(25).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "CMR-Versendungsbeleg", CDbl(25).ToString("C2"))
                        '   dgvZusatzleistung.Rows.Add("", "", "Ü-T1", CDbl(15).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "VERAG Warenort", CDbl(60).ToString("C2"))

                    Case "VZ_EV"
                        DataGridView.Rows.Add(cnt, "", "Verzollung (inkl. 1 Tarifnummer)", CDbl(112).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(7.5).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "EZOLL (AT) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        '  DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        ' DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1
                        ' DataGridView.Rows.Add(cnt, "", "Warenort", CDbl(60).ToString("C2")) : cnt += 1

                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")
                        '   dgvZusatzleistung.Rows.Add("", "", "CMR-Versendungsbeleg", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Ü-T1", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "VERAG Warenort", CDbl(60).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zusatzkosten Gemüse,Arznei,Lebensmittel", "nach Anfrage")
                        dgvZusatzleistung.Rows.Add("", "", "Stornokosten", "50 %")
                        'dgvZusatzleistung.Rows.Add("", "", "Aufschlag Arzneiwaren oder Lebensmittel", CDbl(25).ToString("C2"))

                        cboFirma.changeItem("CS")
                    'Case "VZ_RW" 'NICHT MEHR!
                    '    DataGridView.Rows.Add(cnt, "", "Verzollung (inkl. 1 Tarifnummer)", CDbl(93).ToString("C2")) : cnt += 1
                    '    DataGridView.Rows.Add(cnt, "", "Rückwarenverzollung", CDbl(106).ToString("C2")) : cnt += 1
                    '    DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(6).ToString("C2")) : cnt += 1
                    '    DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(12).ToString("C2")) : cnt += 1
                    '    DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                    '    DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(8).ToString("C2")) : cnt += 1
                    '    DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                    '    DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1

                    '    dgvZusatzleistung.Rows.Add("", "347", "Clearingkosten (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))
                    '    dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                    '    dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")
                    '    dgvZusatzleistung.Rows.Add("", "", "CMR-Versendungsbeleg", CDbl(25).ToString("C2"))
                    '    '    dgvZusatzleistung.Rows.Add("", "", "Ü-T1", CDbl(15).ToString("C2"))
                    '    dgvZusatzleistung.Rows.Add("", "", "VERAG Warenort", CDbl(60).ToString("C2"))

                    Case "VZ_FISKAL"

                        DataGridView.Rows.Add(cnt, "", "Fiskal-Verzollung (inkl. 1 Tarifnummer)", CDbl(240).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(12).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "EZOLL (AT) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        '   dgvZusatzleistung.Rows.Add("", "", "Neutralisierung", CDbl(15).ToString("C2"))
                        '   DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        '   DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1
                        ' DataGridView.Rows.Add(cnt, "", "Warenort", CDbl(60).ToString("C2")) : cnt += 1


                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")
                        dgvZusatzleistung.Rows.Add("", "", "CMR-Versendungsbeleg", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Ü-T1", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "VERAG Warenort", CDbl(60).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zollbeschaukosten je 30 min.", CDbl(40).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung", CDbl(15).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "Aufschlag Arzneiwaren oder Lebensmittel", CDbl(25).ToString("C2"))

                        cboFirma.changeItem("CS")

                    Case "VZ_FISKAL_DE"

                        DataGridView.Rows.Add(cnt, "", "Fiskal-Verzollung (inkl. 1 Tarifnummer)", CDbl(240).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(12).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        '   DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        '   DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1
                        ' DataGridView.Rows.Add(cnt, "", "Warenort", CDbl(60).ToString("C2")) : cnt += 1


                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "498", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")
                        ' dgvZusatzleistung.Rows.Add("", "", "CMR-Versendungsbeleg", CDbl(25).ToString("C2"))
                        ' dgvZusatzleistung.Rows.Add("", "", "Ü-T1", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "VERAG Warenort", CDbl(60).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zollbeschaukosten je 30 min.", CDbl(40).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "Aufschlag Arzneiwaren oder Lebensmittel", CDbl(25).ToString("C2"))

                        cboFirma.changeItem("AG")

                    Case "VZ_SPECIAL_1" '"VZ Gemüse,Arznei,Lebensmittel"
                        DataGridView.Rows.Add(cnt, "", "Verzollung (inkl. 1 Tarifnummer)", CDbl(168).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "", "je weitere Tarifnummer", CDbl(18).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1


                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Korr. Rechnung anfordern", CDbl(25).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "380", "Übersetzung Rechnung", CDbl(1.5).ToString("C2") & "/min")

                        dgvZusatzleistung.Rows.Add("", "", "Aufschlag Rückwarenverzollung/Aktive Veredelung", CDbl(17).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Neutralisierung", CDbl(15).ToString("C2"))
                        dgvZusatzleistung.Rows.Add("", "", "Zollbeschaukosten je 30 min.", CDbl(40).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "Aufschlag Arzneiwaren oder Lebensmittel", CDbl(25).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "CMR-Versendungsbeleg", CDbl(25).ToString("C2"))
                        '   dgvZusatzleistung.Rows.Add("", "", "Ü-T1", CDbl(15).ToString("C2"))
                        'dgvZusatzleistung.Rows.Add("", "", "VERAG Warenort", CDbl(60).ToString("C2"))

                    Case "EUST"

                        DataGridView.Rows.Add(cnt, "", "EUST", "lt. Steuerbescheid") : cnt += 1
                        DataGridView.Rows.Add(cnt, "440", "Fixe Taxe", CDbl(15).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "260", "SVS", "lt. Tabelle") : cnt += 1
                        DataGridView.Rows.Add(cnt, "324", "ATLAS (DE) Zuschlag", CDbl(10).ToString("C2")) : cnt += 1
                        DataGridView.Rows.Add(cnt, "700", "1 % Vorlageprovision (von Einfuhrabgaben)", "") : cnt += 1
                        DataGridView.Rows.Add(cnt, "750", "2 % Kreditaufwendung (von Einfuhrabgaben)", "") : cnt += 1

                        dgvZusatzleistung.Rows.Add("", "347", "Compliance Check (EINMALIG nur bei 1. Abfertigung)", CDbl(80).ToString("C2"))

                        cboFirma.changeItem("AG")
                    Case "HANDLING"

                        '  DataGridView.Rows.Add(cnt, "", "EUST", "lt. Steuerbescheid") : cnt += 1
                        DataGridView.Rows.Add(cnt, "345", "Handing/eigene Anmeldung", CDbl(30).ToString("C2")) : cnt += 1
                        dgvZusatzleistung.Rows.Add("", "345", "Avisogebühr (nur wenn LKW nicht voravisiert)", CDbl(15).ToString("C2"))

                        cboFirma.changeItem("AG")
                End Select
        End Select

        DataGridView.ClearSelection()
    End Sub

    Private Sub Button1_Click_1(sender As Object, e As EventArgs) Handles Button1.Click
        Dim zoll As New SDL.frmKundenUebersichtZOLL
        zoll.Show()
    End Sub


    Private Sub DataGridView_UserAddedRow(sender As Object, e As DataGridViewRowEventArgs) Handles DataGridView.UserAddedRow
        initRowNr()
    End Sub

    Private Sub DataGridView_UserDeletedRow(sender As Object, e As DataGridViewRowEventArgs) Handles DataGridView.UserDeletedRow
        initRowNr()
    End Sub

    Sub initRowNr()
        Dim cnt = 1
        For Each r As DataGridViewRow In DataGridView.Rows
            If r.Index = DataGridView.Rows.Count - 1 Then Exit Sub
            r.Cells("Pos").Value = cnt
            cnt += 1
        Next
    End Sub

    Private Sub MyComboBox1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles MyComboBox1.SelectedIndexChanged
        btnStandardPreiseLaden.PerformClick()
    End Sub
End Class
